package com.bankaudit.dto.process;

import java.util.List;

import com.bankaudit.model.MaintRatingEscalationMatrix;
import com.bankaudit.process.model.AuditRatingCompositeCategoryScore;

public class AuditRatingCompositeScoreDto {

	private Integer legalEntityCode;
	private String auditId;
	private String unitId;
	private String auditTypeCode;
	private boolean scheduledBank;
	
	private List<AuditRatingCompositeCategoryScore> compCategryScoreLst;
	
	private MaintRatingEscalationMatrix ratingEscalationMatrix;
	
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getAuditId() {
		return auditId;
	}
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
	public String getUnitId() {
		return unitId;
	}
	public void setUnitId(String unitId) {
		this.unitId = unitId;
	}
	public String getAuditTypeCode() {
		return auditTypeCode;
	}
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}
	public List<AuditRatingCompositeCategoryScore> getCompCategryScoreLst() {
		return compCategryScoreLst;
	}
	public void setCompCategryScoreLst(List<AuditRatingCompositeCategoryScore> compCategryScoreLst) {
		this.compCategryScoreLst = compCategryScoreLst;
	}
	public MaintRatingEscalationMatrix getRatingEscalationMatrix() {
		return ratingEscalationMatrix;
	}
	public void setRatingEscalationMatrix(MaintRatingEscalationMatrix ratingEscalationMatrix) {
		this.ratingEscalationMatrix = ratingEscalationMatrix;
	}
	public boolean isScheduledBank() {
		return scheduledBank;
	}
	public void setScheduledBank(boolean scheduledBank) {
		this.scheduledBank = scheduledBank;
	}
	
		
}
